Subject: Re: Catalogs

From: PAT LENZO <[email-masked]>
Date: Sun, 05 Mar 1995 09:36:44 -0600 (CST)

> One to look for is the Southern States Cooperative catalog. It's mostly farm
> equipment, but has a number of food preservation supplies, including the Back
> To Basics grain mill. Also, comparing it with Cumberland General Store, I've
> found the prices to be less.

Can someone provide an address of phone # for this catalogue? I've never heard
of them and I'm in a southern state.

Pat